%define fedora 21
%define upstream_name mbpurple

Name:           purple-microblog
Version:        0.3.0
Release:        alt1_11
Summary:        Libpurple plug-in for Pidgin and others, supporting microblog services like Twitter

Group:          Networking/WWW
License:        GPLv3+
URL:            http://code.google.com/p/microblog-purple/
Source0:        http://microblog-purple.googlecode.com/files/%{upstream_name}-%{version}.tar.gz

BuildRequires:  pidgin-devel >= 2.5
ExcludeArch:    s390x
%if 0%{?rhel} <= 5 && 0%{?fedora} < 7
ExcludeArch: ppc
%endif
Source44: import.info

%description
This extension adds support for microblog services like Twitter through conversation windows in Pidgin
Instant Messenger and others. It is a libpurple extension and can be used any software using the
libpurple library.  

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir} build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libtwitter.so

%files
%doc COPYING README.txt
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/twitter.png
%{_datadir}/pixmaps/pidgin/protocols/*/identica.png
%{_datadir}/pixmaps/pidgin/protocols/*/statusnet.png
%{_datadir}/purple/ca-certs/EquifaxSecureGlobaleBusinessCA.pem

%changelog
* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_10
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_9
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_8
- initial fc import

